@font-face {
	font-display: swap;
	font-family: "Assistant";
	src: url("./assistant-medium.woff2") format("woff2");
}
@font-face {
	font-display: swap;
	font-family: "Assistant";
	src: url("./assistant-bold.woff2") format("woff2");
	font-weight: bold;
}

/* --- commons --- */

button, 
input, 
textarea, 
#label-open-file {
	background-color: var(--color4);
	border-radius: 3px;
	border: none;
	box-sizing: border-box;
	color: var(--color5);
	font-family: inherit;
	font-size: 1em;
	margin: 4px;
	padding: 8px;
}
textarea {
	resize: vertical;
}
button, 
#label-open-file {
	color: var(--color1);
	cursor: pointer;
	font-weight: bold;
}
button.--danger {
	background-color: var(--bad-color);
	color: #fff;
}
button:focus, 
button:hover, 
#label-open-file:focus, 
#label-open-file:hover {
	opacity: 0.85;
}

.separator {
	background-color: var(--color4);
	display: block;
	height: 24px;
	margin: auto 6px;
	min-width: 1px;
}

/* --- main containers --- */

body {
	--bad-color: #d22;
	--color1: #234;
	--color2: #F59561;
	--color3: #fff;
	--color4: #eee;
	--color5: #222;
	--good-color: #282;
	align-items: center;
	background-color: var(--color3);
	color: var(--color5);
	display: flex;
	font-family: "Assistant", sans-serif;
	font-size: 0.95em;
	justify-content: center;
	margin: 0;
	position: fixed;
	width: 100%;
}
body.--dark {
	--bad-color: #f33;
	--color1: #F59561;
	--color2: #234;
	--color3: #111;
	--color4: #222;
	--color5: #fff;
	--good-color: #3f3;
}

main {
	box-sizing: border-box;
	display: grid;
	gap: 8px;
	grid-template-columns: 1fr 1fr;
	grid-template-rows: 1fr;
	margin-top: 72px;
	max-width: 100%;
	min-width: 300px;
	padding: 4px 2px;
	width: 100%;
}
@media screen and (max-width: 768px) {
	main {
		grid-template-rows: 1fr 1fr;
		grid-template-columns: 1fr;
	}
}
.--alternate {
	grid-template-rows: 1fr 1fr;
	grid-template-columns: 1fr;
}

 /* --- nav --- */

 .nav {
	box-sizing: border-box;
	display: flex;
	margin: auto;
	max-width: calc(100% - 24px);
	overflow-x: auto;
	padding: 12px 0;
	position: absolute;
	top: 0;
}
@media screen and (min-width: 768px) {
	.nav {
		justify-content: center;
	}
}
.nav button, 
.nav label {
	align-items: center;
	display: flex;
	box-sizing: border-box;
	min-height: 44px;
	flex: 0;
	justify-content: center;
	min-width: 44px;
}
.nav button + button {
	margin-left: 4px;
}
.nav input {
	position: absolute;
	top: -100vh;
}
.nav svg {
	fill: var(--color1);
	width: 21px;
}
.serv-required, 
.ws-required {
	display: none !important;
}
.serv-available .serv-required, 
.ws-available .ws-required {
	display: flex !important;
}

/* --- simple message, no action required --- */

@keyframes visible {
	0% {
		opacity: 0;
		transform: scaleY(0.5);
	}
	10%, 90% {
		opacity: 1;
		transform: initial;
	}
	100% {
		opacity: 0;
		transform: scaleY(0);
	}
}
.notice {
	background-color: var(--color1);
	border-radius: 3px;
	bottom: 12px;
	box-sizing: border-box;
	color: var(--color4);
	display: none;
	font-weight: bold;
	margin: 0;
	padding: 6px 12px;
	position: fixed;
	right: 12px;
	text-align: center;
	transform: initial;
	z-index: 1;
}
.notice.--visible {
	animation: visible 2s ease 1 0s both;
	display: block;
}

/* --- advanced message, requiring user action --- */

.dial {
	background-color: var(--color3);
	bottom: 0;
	color: var(--color5);
	display: none;
	flex-direction: column;
	left: 0;
	overflow-y: auto;
	padding: 8px;
	position: fixed;
	right: 0;
	top: 0;
	z-index: 1;
}
.dial.--visible {
	display: flex;
}
.dial h2 {
	margin-top: 0;
	border-bottom: solid 1px;
}
.dial h4 {
	margin-bottom: 8px;
	margin-top: 0;
}
.dial > button {
	height: 40px;
	position: fixed;
	margin: 0;
	right: 12px;
	top: 12px;
	width: 100px;
}
.dial-content {
	margin: auto;
	max-height: 85vh;
	max-width: 1192px;
	width: 95%;
	word-wrap: break-word;
}
.dial label, 
.dial input, 
.dial textarea {
	box-sizing: border-box;
	display: block;
	margin: 8px 0;
	width: 100%;
}
.dial label > input {
	margin-top: 4px;
}
.dial input[type="checkbox"] {
	display: inline-block;
	margin-right: 4px;
	width: initial;
}
.dial ul { /* .getposts-ul, .getimages-ul, .exportpost-ul */
	border: solid 1px var(--color4);
	border-bottom: none;
	box-sizing: border-box;
	display: grid;
	gap: 32px;
	grid-template-columns: repeat(auto-fit, 200px);
	justify-content: center;
	list-style-type: none;
	max-height: 50vh;
	overflow-y: auto;
	padding: 30px;
	scrollbar-color: var(--color1) var(--color4);
	scrollbar-width: thin;
}
@media screen and (min-width: 540px) {
	.dial ul {
		justify-content: initial;
	}
}
.getposts-ul li {
	display: grid;
	gap: 8px;
	grid-template-columns: 40px 1fr;
}
.dial .exportpost-ul, 
.exportpost-ul li {
	display: block;
}
.dial pre {
	white-space: pre-wrap; 
	word-wrap: break-word;
}
.dial img {
	border-radius: 3px;
	display: block;
	height: 100px;
	margin: 8px 2px -8px 2px;
	object-fit: cover;
	width: 100%;
}
.dial .--danger {
	width: 40px;
}
.dial li button:last-child { 
	text-align: left; 
}
.private, 
.published {
	display: block;
	font-size: 0.85em;
	font-weight: normal;
}
.private { 
	color: var(--bad-color);
}
.published {
	color: var(--good-color);
}

 /* --- post edition --- */

.config {
	display: flex;
	flex-wrap: wrap;
	padding: 0 4px;
}
.config label {
	align-items: center;
	display: flex;
	position: initial !important;
}
.config input {
	padding: 4px 8px;	
}

.content {
	display: flex;
	flex-direction: column;
}

.in {
	display: flex;
	flex-direction: column;
	overflow-y: auto;
	padding: 8px;
	scroll-behavior: smooth;
	scrollbar-color: var(--color1) var(--color4);
	scrollbar-width: thin;
}
.--alternate .in { 
	order: 1;
}
@media screen and (max-width: 768px) {
	.in { 
		order: 1;
	}
	.--alternate .in {
		order: -1;
	}
}
.in label {
	left: -9999px;
	position: absolute;
}
.in textarea {
	grid-area: content;
	min-height: 150px;
	resize: vertical;
	scrollbar-color: var(--color1) var(--color4);
	scrollbar-width: thin;
}
.in-sec {
	display: grid;
	grid-template-areas: "title title title" "but but content" "but but content" "but but content" "but but content" "but but content" "but but content";
	grid-template-columns: repeat(2, 50px) 1fr;
}
.in-sec input { 
	grid-area: title;
}